Kerbal Space Program - Bug #24002

New Career Mode Entry Purchase fails
10/21/2019 08:21 PM - therealmarauder

Status: Confirmed Start date: 10/21/2019
Severity: Low % Done: 10%
Assignee: just_jim
Category: Parts
Target version:
Version: 1.8.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

| had KSP 0.17 installed on my system, and tried to patch to 0.18, but | received an error, so | installed 0.18 over the top of the
directory; my save games were still there, but | decided to start a new career mode game. | start a Career Mode game on Hard. After
accumulating a little science, most parts were purchaseable as normal, but the fuel tanks FL-T100 and FL-T200 were not.

| paid the entry purchase cost for the FL-T100 through the VAB, and it stayed greyed out and gave the "Part model requires an Entry
Purchase in R&D" message but the button to purchase it disappeared.

When | view the same part through the R&D screen, a part labeled FL-T100 is available, but it has a different model. In addition, an
unpurchased version of the FL-T100 tank is present, with option to purchase it. The purchased one has the old model, and the
unpurchased one appears to have the new model.

| can attempt to purchase it again through the R&D interface, but it places another purchased copy of the old skin of the FL-T100
model. The new skin of the tank appears as purchased until | enter the VAB, at which point the old skin is the only version visible,
and when | go to the R&D building again, the purchased, new skin tank has turned into another purchased copy of the old skin tank,
and a new copy of the new skin tank is now available for purchase again. | can iterate this and buy it as many times as | want.

| have Making History and Breaking Ground installed but no third-party mods. | updated both mods to the current version. I'm using
64-bit on a ThinkPad laptop running Windows 10.

History

#2 - 10/22/2019 03:24 PM - just_jim
- Status changed from New to Need More Info

- Assignee set to just_jim

| have not been able to reproduce this yet... would it be possible to attach a copy of the saved game showing this issue, please?

#3 - 10/23/2019 08:58 PM - therealmarauder
- File 18 bugtest.zip added

just_jim wrote:

| have not been able to reproduce this yet... would it be possible to attach a copy of the saved game showing this issue, please?

Sure, here you go! | suspect there are multiple copies of the assets due to an aberrant install flow, and which item gets purchased is found by a
different means than which one needs to be purchased - somehow - so some of the issues causing the failure might not happen without the rest of my
install in place (I don't know what's in the save vs in the rest of the game). Just let me know if you need anything else.

#4 - 10/28/2019 06:33 PM - just_jim
- Status changed from Need More Info to Confirmed

- % Done changed from 0 to 10

Yes, | see duplicate tanks
#5 - 10/28/2019 06:34 PM - just_jim

- Project changed from Kerbal Space Program to KSP Release
- Category changed from Parts to Parts

- Resolve when Fixed On set to Single Reported Platform

- Language deleted (English (US))

#6 - 10/28/2019 06:38 PM - just_jim
- File KSP.log added
- File screenshot1505.png added

- Description updated

#7 - 10/28/2019 06:42 PM - just_jim

- Project changed from KSP Release to Kerbal Space Program
- Category changed from Parts to Parts

- Resolve when Fixed On deleted (Single Reported Platform)

- Language English (US) added

#9 - 10/28/2019 06:42 PM - just_jim

- Description updated

#10 - 10/28/2019 06:46 PM - just_jim
- File deleted (screenshot1505.png)

#11 - 10/28/2019 06:46 PM - just_jim

- File deleted (KSP.log)

Files

wut_0_18_ksp_bug.png 253 KB 10/21/2019 therealmarauder
18 bugtest.zip 8.27 KB 10/23/2019 therealmarauder
